Hardcoded “grass70” in ToolBox won’t work with grass new 7.2 release
Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:2.18.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 23934

Description

Folks,

The following files:

python/plugins/processing/algs/grass7/Grass7Algorithm.py

python/plugins/processing/algs/grass7/Grass7AlgorithmProvider.py

python/plugins/processing/algs/grass7/Grass7Utils.py

have “grass70” hardcoded in them to launch a Grass 7 command. Thus, they don’t work with the new 7.2 release.

Maybe instead of harcoding "grass70" provide the user with a new widget for him to pick up the Grass version they use, and set the name

accordingly?

Related issues:

Duplicates QGIS Application - Bug report # 16110: Processing toolbox is hardc... Closed 2017-01-24

History

#1 - 2017-01-15 03:26 PM - Pedro Venâncio

Since GRASS 7.2.0 is the new stable version and it is available in the major repositories, this needs to be updated ASAP.

If not the Vince's proposal, at least update from "grass70" to "grass72".

#2 - 2017-01-15 10:42 PM - Paolo Cavallini

BTW, are GRASS devs going to change executable name for each version?

#3 - 2017-01-16 01:37 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

I'll raise the priority as something that must be addressed, see also:

https://lists.osgeo.org/pipermail/qgis-developer/2017-January/046671.html

#4 - 2017-01-16 01:44 AM - Jürgen Fischer
grass --config path can be used to get the actual path.

#5 - 2017-01-24 12:20 AM - luca barbadoro

I've the same problem on qgis 2.14 after install on ubuntu 16.04 ; I used ppa ubuntu gis ubuntugis-unstable; now i've grass 7.2.

Could work add grass 7.0 through ppa ubuntugis-stable ? are there problem to leave installed grass 7.0 and 7.2 toghether?

thanks

luca B

#6 - 2017-01-25 10:11 AM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed

duplicate of #16110
